Package jam.controlpalettes

# Interface ControlPalette

All Known Implementing Classes:
  `BasicControlPalette`

public interface ControlPalette
Date: 20/03/2006 Time: 10:23:21

Version:
  $Id: ControlPalette.java 485 2006-10-25 15:24:54Z rambaut $
Author:
  Joseph Heled

## Method Summary

Modifier and Type
Method
Description
`void`
`addController(Controller controller)`
install a Controller into the palette
`void`
`addControlPaletteListener(ControlPaletteListener listener)`
Add a listener to this palette
`void`
`fireControlsChanged()`
tell listeners that the palette has changed
`JPanel`
`getPanel()`
get the panel that encloses the control palette
`void`
`getSettings(Map<String,Object> settings)`
Gather up all the settings from all the controls in the palette.
`void`
`initialize()`
Initialize all controllers when a new document is created.
`void`
`removeControlPaletteListener(ControlPaletteListener listener)`
Remove a listener fromm this palette
`void`
`setPreferredWidth(int preferredWidth)`
Set the preferred width of the control panel
`void`
`setSettings(Map<String,Object> settings)`
Distribute all the settings to all the controls in the palette.

## Method Details

### getPanel

JPanel getPanel()
get the panel that encloses the control palette

Returns:
  the panel

### addController

void addController(Controller controller)
install a Controller into the palette

Parameters:
  `controller` -

### fireControlsChanged

void fireControlsChanged()
tell listeners that the palette has changed

### addControlPaletteListener

void addControlPaletteListener(ControlPaletteListener listener)
Add a listener to this palette

Parameters:
  `listener` -

### removeControlPaletteListener

void removeControlPaletteListener(ControlPaletteListener listener)
Remove a listener fromm this palette

Parameters:
  `listener` -

### initialize

void initialize()
Initialize all controllers when a new document is created. At this point, settings can be adjusted to match the contents of the document.

### getSettings

void getSettings(Map<String,Object> settings)
Gather up all the settings from all the controls in the palette. This would usually called before saving them with the document that the palette controls.

Parameters:
  `settings` -

### setSettings

void setSettings(Map<String,Object> settings)
Distribute all the settings to all the controls in the palette. This would usually called after loading the document that the palette controls.

Parameters:
  `settings` -

### setPreferredWidth

void setPreferredWidth(int preferredWidth)
Set the preferred width of the control panel

Parameters:
  `preferredWidth` -